/* Query.cpp
 *
 */
 
#include "Query.h"

#include <iostream>                    // cin, cout, >>, <<
#include <fstream>                     // ifstream, ofstream
#include <string>                      // string, getline()
using namespace std;

// --- Open an ifstream interactively ---------------------

void interactiveOpen(ifstream & theIFStream)
{
   char response;
   do
   {
      cout << "Enter the name of the input file: ";
      string inputFileName;
      getline(cin, inputFileName);

	  cin.get();

      theIFStream.open(inputFileName.data());

      if (theIFStream.is_open()) break;

      cerr << "\n***InteractiveOpen(): unable to open "
           << inputFileName << "\nTry again (Y or N)? ";
      cin >> response;
   }
   while (response != 'N' && response != 'n');
}

// --- Open an ofstream interactively ---------------------

void interactiveOpen(ofstream & theOFStream)
{
   char response;
   do
   {
      cout << "Enter the name of the output file: ";
      string outputFileName;
      getline(cin, outputFileName);

	  cin.get();

      theOFStream.open(outputFileName.data());

      if (theOFStream.is_open()) break;

      cerr << "\n***InteractiveOpen(): unable to open "
           << outputFileName << "\nTry again (Y or N)? ";
      cin >> response;
   }
   while (response != 'N' && response != 'n');
}
